PHP Manual
Prev |  | Next

# DOMElement->getElementsByTagName()

(no version information, might be only in CVS)

DOMElement->getElementsByTagName() -- Gets elements by tagname

## Description

class DOMElement {
DOMNodeList getElementsByTagName ( string name )
}

This function returns a new instance of the class DOMNodeList of all descendant elements with a given tag name, in the order in which they are encountered in a preorder traversal of this element tree.

## Parameters

name

  The tag name. Use * to return all elements within the element tree.

## Return Values

This function returns a new instance of the class DOMNodeList of all matched elements.

## See Also

DOMElement->getElementsByTagNameNS()

Prev | Home | Next
DOMElement->getAttributeNS() | Up | DOMElement->getElementsByTagNameNS()